Bug 80945 - [PATCH] www/mnogosearch: update to 3.2.32
Summary: [PATCH] www/mnogosearch: update to 3.2.32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-12 18:10 UTC by Radim Kolar
Modified: 2005-06-09 08:53 UTC (History)
1 user (show)

See Also:


Attachments
mnogosearch-3.2.32.patch (33.94 KB, patch)
2005-05-12 18:10 UTC, Radim Kolar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2005-05-12 18:10:02 UTC
NOTE:
  This is first of my mnogosearch update pack.

  this pack has following parts:
    1. updated mnogosearch engine (this one)
    2. updated php4-mnogosearch extension to fetch it from
      master site, not to build included in php. php included do not
      works well.
    3. php4 fix for libmnogosearch1 -> 3.2 change
    4. new port of PHP web interface
  ports was tested here for about a one week, so new software works.

  Parts 1,2,3 should be commited in one group for avoiding breakage.
  
  Thanks for your understanding. So, let's go... 

- Update to 3.2.32

Added file(s):
- files/patch-learn-sql

Removed file(s):
- files/patch-ab
- files/patch-ad
- files/spelld.sh-dist

Port maintainer (ache@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Jean-Yves Lefort freebsd_committer 2005-05-13 06:32:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer.
Comment 2 Andrey A. Chernov freebsd_committer 2005-05-13 06:38:34 UTC
Responsible Changed
From-To: ache->freebsd-ports

This PR is misadderssed. I don't wish to maintain that code base 
and ask for repo-copy right now. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=80945 

Adding to audit trail from misfiled PR ports/80949:

Date: Thu, 12 May 2005 21:21:23 +0400
Comment 3 Radim Kolar 2005-05-14 16:52:51 UTC
> Please don't make update, ask for repo-copy old mnogosearch to 
> "mnogosearch31" and submit this one as "mnogosearch".
> Old mnogosearch use completely different code base and is working enough 
> to not purge it.
okay. Port folks please repo-copy mnogosearch->mnogosearch31
and add following .shar archive as new port www/mnogosearch

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mnogosearch
#	mnogosearch/files
#	mnogosearch/files/patch-aa
#	mnogosearch/files/patch-learn-sql
#	mnogosearch/Makefile
#	mnogosearch/pkg-plist
#	mnogosearch/distinfo
#	mnogosearch/pkg-deinstall
#	mnogosearch/pkg-descr
#	mnogosearch/pkg-install
#	mnogosearch/pkg-message
#
echo c - mnogosearch
mkdir -p mnogosearch > /dev/null 2>&1
echo c - mnogosearch/files
mkdir -p mnogosearch/files > /dev/null 2>&1
echo x - mnogosearch/files/patch-aa
sed 's/^X//' >mnogosearch/files/patch-aa << 'END-of-mnogosearch/files/patch-aa'
X--- doc/Makefile.in.orig	Mon Mar 28 15:59:54 2005
X+++ doc/Makefile.in	Mon May  9 12:58:42 2005
X@@ -687,11 +687,11 @@
X 
X 
X install-data-local: $(doc_FILES)
X-	$(mkinstalldirs) $(DESTDIR)$(prefix)/doc
X+	$(mkinstalldirs) $(DESTDIR)$(prefix)/share/doc/mnogosearch
X 	echo ${INSTALL_DATA} docs $(DESTDIR)$(prefix)/doc/
X 	list='${doc_FILES}'; \
X 	for p in $$list; do \
X-		${INSTALL_DATA} $(srcdir)/$$p $(DESTDIR)$(prefix)/doc/ ; \
X+		${INSTALL_DATA} $(srcdir)/$$p $(DESTDIR)$(prefix)/share/doc/mnogosearch ; \
X 	done
X 
X uninstall-local:
END-of-mnogosearch/files/patch-aa
echo x - mnogosearch/files/patch-learn-sql
sed 's/^X//' >mnogosearch/files/patch-learn-sql << 'END-of-mnogosearch/files/patch-learn-sql'
X--- create/pgsql/create.txt.orig	Tue Feb 15 06:50:33 2005
X+++ create/pgsql/create.txt	Tue May 10 14:40:58 2005
X@@ -85,7 +85,7 @@
X 
X 
X CREATE FUNCTION clean_srvinfo() RETURNS trigger 
X-AS 'begin DELETE FROM srvinfo WHERE srv_id=old.rec_id; UPDATE url SET next_index_time=0 WHERE server_id=old.rec_id OR site_id=old.rec_id return NULL; end;'
X+AS 'begin DELETE FROM srvinfo WHERE srv_id=old.rec_id; UPDATE url SET next_index_time=0 WHERE server_id=old.rec_id OR site_id=old.rec_id; return NULL; end;'
X LANGUAGE plpgsql;
X 
X 
END-of-mnogosearch/files/patch-learn-sql
echo x - mnogosearch/Makefile
sed 's/^X//' >mnogosearch/Makefile << 'END-of-mnogosearch/Makefile'
X# New ports collection makefile for:    mnogosearch
X# Date created:         27.01.2001
X# Whom:                 ache
X#
X# $FreeBSD$
X#
X
XPORTNAME=	mnogosearch
XPORTVERSION=	3.2.32
XPORTREVISION=	0
XCATEGORIES=	www databases
XMASTER_SITES=	http://www.mnogosearch.org/Download/
X
XMAINTAINER=	ache@FreeBSD.org
XCOMMENT=	Full featured SQL-based hypertext search engine
X
XMAN1=		indexer.1
XMAN5=		indexer.conf.5
X
XINSTALLS_SHLIB=	yes
XUSE_GMAKE=	yes
XUSE_LIBTOOL_VER=15
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS+=--enable-shared \
X		--sysconfdir=${PREFIX}/etc/mnogosearch \
X		--localstatedir=/var/mnogosearch \
X		--datadir=${PREFIX}/share/mnogosearch
X
XCONFIGURE_ENV+=	LOCALBASE="${LOCALBASE}"
X
X.if defined(PARALLEL_PACKAGE_BUILD)
X# OPTIONS not counted, workaround
XWITH_MNOGO_SQLITE=true
X.endif
X
XOPTIONS=	MNOGO_THREADS "Enable pthreads (unstable)"	off \
X		MNOGO_SSL     "Enable SSL"			on  \
X		MNOGO_ASIAN   "Enable asian charsets"		off \
X		MNOGO_SYSLOG  "Send logs to syslog"             on  \
X		MNOGO_PGSQL   "Use PGSQL"			off \
X		MNOGO_MSQL    "Use MSQL"			off \
X		MNOGO_MYSQL   "Use MySQL"			off \
X		MNOGO_SQLITE  "Use SQLite 2.x"			on
X
X.if !defined(NO_OPENSSL)
XUSE_OPENSSL=	yes
X.endif
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_MNOGO_THREADS)
XCONFIGURE_ARGS+=	--enable-freebsd-pthreads
XCFLAGS+=	${PTHREAD_CFLAGS}
XCONFIGURE_ENV+=	LIBS="${PTHREAD_LIBS}"
X.endif
X
X.if !defined(WITHOUT_MNOGO_SSL) || !defined(NO_OPENSSL)
XCONFIGURE_ARGS+=	--with-openssl=${OPENSSLBASE}
X.endif
X
X.ifdef WITH_MNOGO_ASIAN
XCONFIGURE_ARGS+=	--with-extra-charsets=all
X.endif
X
X.ifdef WITHOUT_MNOGO_SYSLOG
XCONFIGURE_ARGS+=	--disable-syslog
X.endif
X
X.if defined(WITH_MNOGO_PGSQL)
XUSE_PGSQL=	yes
XCONFIGURE_ARGS+=	--with-pgsql=${LOCALBASE}
X.endif
X
X.if defined(WITH_MNOGO_MSQL)
XLIB_DEPENDS=		msql.1:${PORTSDIR}/databases/msql
XCONFIGURE_ARGS+=	--with-msql=${LOCALBASE}
X.endif
X
X.if defined(WITH_MNOGO_MYSQL)
XLIB_DEPENDS=		mysqlclient:${PORTSDIR}/databases/mysql41-client
XCONFIGURE_ARGS+=	--with-mysql=${LOCALBASE}
X.endif
X
X.if !defined(WITHOUT_MNOGO_SQLITE)
XLIB_DEPENDS=		sqlite.2:${PORTSDIR}/databases/sqlite2
XCONFIGURE_ARGS+=	--with-sqlite=${LOCALBASE}
X.endif
X
X.if defined(WITHOUT_MNOGO_SQLITE) && !defined(WITH_MNOGO_MYSQL) && \
X    !defined(WITH_MNOGO_MSQL) && !defined(WITH_MNOGO_PGSQL)
XBROKEN=	"You need to select at least one database driver"
X.endif
X
Xpost-install:
X	${CHMOD} 700 /var/mnogosearch/cache
X	${CHOWN} -R www:www /var/mnogosearch
X	${MKDIR} ${EXAMPLESDIR}
X	${INSTALL_DATA} ${WRKSRC}/doc/samples/* ${EXAMPLESDIR}
X	${INSTALL_DATA} ${WRKSRC}/INSTALL ${WRKSRC}/ChangeLog ${DOCSDIR}
X	@${ECHO}
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.post.mk>
END-of-mnogosearch/Makefile
echo x - mnogosearch/pkg-plist
sed 's/^X//' >mnogosearch/pkg-plist << 'END-of-mnogosearch/pkg-plist'
Xbin/mconv
Xbin/mguesser
Xbin/search.cgi
Xbin/udm-config
Xetc/mnogosearch/TraditionalChinese.freq
Xetc/mnogosearch/indexer.conf-dist
Xetc/mnogosearch/langmap.conf-dist
Xetc/mnogosearch/langmap/af.latin1.bible.lm
Xetc/mnogosearch/langmap/af.latin1.lm
Xetc/mnogosearch/langmap/ar.arabic.lm
Xetc/mnogosearch/langmap/ar.arabic.quran.lm
Xetc/mnogosearch/langmap/ar.cp1256.lm
Xetc/mnogosearch/langmap/ar.cp1256.quran.lm
Xetc/mnogosearch/langmap/az.utf8.lm
Xetc/mnogosearch/langmap/be.cp1251.lm
Xetc/mnogosearch/langmap/bg.cp1251.bible.lm
Xetc/mnogosearch/langmap/bg.cp1251.lm
Xetc/mnogosearch/langmap/bg.cyrillic.bible.lm
Xetc/mnogosearch/langmap/bg.cyrillic.lm
Xetc/mnogosearch/langmap/br.latin1.lm
Xetc/mnogosearch/langmap/bs.ascii.lm
Xetc/mnogosearch/langmap/bs.cp1250.lm
Xetc/mnogosearch/langmap/bs.latin2.lm
Xetc/mnogosearch/langmap/ca.latin1.lit.lm
Xetc/mnogosearch/langmap/ca.latin1.lm
Xetc/mnogosearch/langmap/cs.cp1250.lm
Xetc/mnogosearch/langmap/cs.latin2.lm
Xetc/mnogosearch/langmap/cy.latin1.lm
Xetc/mnogosearch/langmap/da.latin1.bible.lm
Xetc/mnogosearch/langmap/da.latin1.lm
Xetc/mnogosearch/langmap/de.latin1.bible.lm
Xetc/mnogosearch/langmap/de.latin1.lm
Xetc/mnogosearch/langmap/el.cp1253.lm
Xetc/mnogosearch/langmap/el.greek.lm
Xetc/mnogosearch/langmap/en.ascii.lm
Xetc/mnogosearch/langmap/eo.latin1-h.as.lm
Xetc/mnogosearch/langmap/eo.latin1-x.as.lm
Xetc/mnogosearch/langmap/eo.latin3.as.lm
Xetc/mnogosearch/langmap/eo.latin3.lm
Xetc/mnogosearch/langmap/eo.utf8.as.lm
Xetc/mnogosearch/langmap/es.latin1.bible.lm
Xetc/mnogosearch/langmap/es.latin1.lm
Xetc/mnogosearch/langmap/et.cp1257.lm
Xetc/mnogosearch/langmap/et.latin4.lm
Xetc/mnogosearch/langmap/eu.latin1.lm
Xetc/mnogosearch/langmap/fi.latin1.lm
Xetc/mnogosearch/langmap/fr.latin1.bible.lm
Xetc/mnogosearch/langmap/fr.latin1.lm
Xetc/mnogosearch/langmap/ga.latin1.lit.lm
Xetc/mnogosearch/langmap/ga.latin1.lm
Xetc/mnogosearch/langmap/he.hebrew.lm
Xetc/mnogosearch/langmap/hr.ascii.lm
Xetc/mnogosearch/langmap/hr.cp1250.bible.lm
Xetc/mnogosearch/langmap/hr.cp1250.lm
Xetc/mnogosearch/langmap/hr.latin2.lm
Xetc/mnogosearch/langmap/hu.cp1250.lm
Xetc/mnogosearch/langmap/hu.latin2.lm
Xetc/mnogosearch/langmap/hy.armscii-8.lm
Xetc/mnogosearch/langmap/is.latin1.lm
Xetc/mnogosearch/langmap/it.latin1.lm
Xetc/mnogosearch/langmap/ja.euc-jp.lm
Xetc/mnogosearch/langmap/ja.sjis.lm
Xetc/mnogosearch/langmap/la.ascii.lm
Xetc/mnogosearch/langmap/lt.cp1257.lm
Xetc/mnogosearch/langmap/lt.latin4.lm
Xetc/mnogosearch/langmap/lv.cp1257.lm
Xetc/mnogosearch/langmap/lv.latin4.lm
Xetc/mnogosearch/langmap/nl.latin1.bible.lm
Xetc/mnogosearch/langmap/nl.latin1.lm
Xetc/mnogosearch/langmap/no.latin1.lm
Xetc/mnogosearch/langmap/pl.latin2.lm
Xetc/mnogosearch/langmap/pt-br.latin1.lm
Xetc/mnogosearch/langmap/pt-pt.latin1.lm
Xetc/mnogosearch/langmap/ro.ascii.lm
Xetc/mnogosearch/langmap/ro.cp1250.lm
Xetc/mnogosearch/langmap/ro.latin2.lm
Xetc/mnogosearch/langmap/ru.cp1251.lm
Xetc/mnogosearch/langmap/ru.cp866.lm
Xetc/mnogosearch/langmap/ru.cyrillic.lm
Xetc/mnogosearch/langmap/ru.koi8-r.lm
Xetc/mnogosearch/langmap/ru.maccyr.lm
Xetc/mnogosearch/langmap/ru.utf8.lm
Xetc/mnogosearch/langmap/sk.ascii.lm
Xetc/mnogosearch/langmap/sk.cp1250.lm
Xetc/mnogosearch/langmap/sk.latin2.lm
Xetc/mnogosearch/langmap/sl.ascii.lm
Xetc/mnogosearch/langmap/sl.cp1250.lm
Xetc/mnogosearch/langmap/sl.latin2.lm
Xetc/mnogosearch/langmap/sq.latin1.lm
Xetc/mnogosearch/langmap/sr.cp1250.lm
Xetc/mnogosearch/langmap/sr.latin2.lm
Xetc/mnogosearch/langmap/sv.latin1.bible.lm
Xetc/mnogosearch/langmap/sv.latin1.lm
Xetc/mnogosearch/langmap/sw.latin1.lm
Xetc/mnogosearch/langmap/ta.tscii.lm
Xetc/mnogosearch/langmap/th.cp874.lm
Xetc/mnogosearch/langmap/th.tis-620.lm
Xetc/mnogosearch/langmap/tl.ascii.bible.lm
Xetc/mnogosearch/langmap/tl.ascii.lm
Xetc/mnogosearch/langmap/tr.cp1254.lm
Xetc/mnogosearch/langmap/tr.cp857.lm
Xetc/mnogosearch/langmap/tr.latin5.lm
Xetc/mnogosearch/langmap/ua.cp1251.lm
Xetc/mnogosearch/langmap/ua.koi8-u.lm
Xetc/mnogosearch/langmap/vi.viscii.lm
Xetc/mnogosearch/langmap/zh.big5.lm
Xetc/mnogosearch/langmap/zh.gb2312.lm
Xetc/mnogosearch/mandarin.freq
Xetc/mnogosearch/search.htm-dist
Xetc/mnogosearch/stopwords.conf-dist
Xetc/mnogosearch/stopwords/ct.sl
Xetc/mnogosearch/stopwords/cz.sl
Xetc/mnogosearch/stopwords/da.sl
Xetc/mnogosearch/stopwords/de.sl
Xetc/mnogosearch/stopwords/en.big.sl
Xetc/mnogosearch/stopwords/en.huge.sl
Xetc/mnogosearch/stopwords/en.sl
Xetc/mnogosearch/stopwords/es.sl
Xetc/mnogosearch/stopwords/fr.sl
Xetc/mnogosearch/stopwords/hu.sl
Xetc/mnogosearch/stopwords/it.sl
Xetc/mnogosearch/stopwords/lt.sl
Xetc/mnogosearch/stopwords/nl.sl
Xetc/mnogosearch/stopwords/no.sl
Xetc/mnogosearch/stopwords/pl.sl
Xetc/mnogosearch/stopwords/pt.sl
Xetc/mnogosearch/stopwords/ru.sl
Xetc/mnogosearch/stopwords/sk.sl
Xetc/mnogosearch/stopwords/tr.sl
Xetc/mnogosearch/stopwords/ua.sl
Xetc/mnogosearch/synonym/english.syn
Xetc/mnogosearch/synonym/francais.syn
Xetc/mnogosearch/synonym/italian.syn
Xetc/mnogosearch/synonym/russian.syn
Xetc/mnogosearch/thai.freq
Xinclude/udm_agent.h
Xinclude/udm_alias.h
Xinclude/udm_boolean.h
Xinclude/udm_chinese.h
Xinclude/udm_common.h
Xinclude/udm_conf.h
Xinclude/udm_config.h
Xinclude/udm_contentencoding.h
Xinclude/udm_crc32.h
Xinclude/udm_crossword.h
Xinclude/udm_db.h
Xinclude/udm_db_int.h
Xinclude/udm_doc.h
Xinclude/udm_env.h
Xinclude/udm_execget.h
Xinclude/udm_ftp.h
Xinclude/udm_guesser.h
Xinclude/udm_hash.h
Xinclude/udm_host.h
Xinclude/udm_hrefs.h
Xinclude/udm_http.h
Xinclude/udm_id3.h
Xinclude/udm_indexer.h
Xinclude/udm_log.h
Xinclude/udm_match.h
Xinclude/udm_mutex.h
Xinclude/udm_parsedate.h
Xinclude/udm_parsehtml.h
Xinclude/udm_parser.h
Xinclude/udm_parsexml.h
Xinclude/udm_proto.h
Xinclude/udm_result.h
Xinclude/udm_robots.h
Xinclude/udm_sdp.h
Xinclude/udm_search_tl.h
Xinclude/udm_searchcache.h
Xinclude/udm_searchtool.h
Xinclude/udm_server.h
Xinclude/udm_services.h
Xinclude/udm_sgml.h
Xinclude/udm_signals.h
Xinclude/udm_socket.h
Xinclude/udm_spell.h
Xinclude/udm_sqldbms.h
Xinclude/udm_stopwords.h
Xinclude/udm_store.h
Xinclude/udm_synonym.h
Xinclude/udm_template.h
Xinclude/udm_textlist.h
Xinclude/udm_unicode.h
Xinclude/udm_uniconv.h
Xinclude/udm_unidata.h
Xinclude/udm_url.h
Xinclude/udm_utils.h
Xinclude/udm_vars.h
Xinclude/udm_wild.h
Xinclude/udm_word.h
Xinclude/udm_xmalloc.h
Xinclude/udmsearch.h
Xlib/libmnogocharset-3.2.so
Xlib/libmnogocharset.a
Xlib/libmnogocharset.so
Xlib/libmnogosearch-3.2.so
Xlib/libmnogosearch.a
Xlib/libmnogosearch.so
Xsbin/indexer
X%%DOCSDIR%%/ChangeLog
X%%DOCSDIR%%/INSTALL
X%%DOCSDIR%%/body-after.html
X%%DOCSDIR%%/body-before.html
X%%DOCSDIR%%/index.html
X%%DOCSDIR%%/mnogo.css
X%%DOCSDIR%%/msearch-authors.html
X%%DOCSDIR%%/msearch-binarydistrib.html
X%%DOCSDIR%%/msearch-cachemode.html
X%%DOCSDIR%%/msearch-cjk.html
X%%DOCSDIR%%/msearch-cmdref-addtype.html
X%%DOCSDIR%%/msearch-cmdref-affix.html
X%%DOCSDIR%%/msearch-cmdref-alias.html
X%%DOCSDIR%%/msearch-cmdref-aliasprog.html
X%%DOCSDIR%%/msearch-cmdref-allow.html
X%%DOCSDIR%%/msearch-cmdref-alnumfactor.html
X%%DOCSDIR%%/msearch-cmdref-authbasic.html
X%%DOCSDIR%%/msearch-cmdref-basefiles.html
X%%DOCSDIR%%/msearch-cmdref-browsercharset.html
X%%DOCSDIR%%/msearch-cmdref-cache.html
X%%DOCSDIR%%/msearch-cmdref-category.html
X%%DOCSDIR%%/msearch-cmdref-checkmp3.html
X%%DOCSDIR%%/msearch-cmdref-checkmp3only.html
X%%DOCSDIR%%/msearch-cmdref-checkonly.html
X%%DOCSDIR%%/msearch-cmdref-crosswords.html
X%%DOCSDIR%%/msearch-cmdref-cvsignore.html
X%%DOCSDIR%%/msearch-cmdref-dateformat.html
X%%DOCSDIR%%/msearch-cmdref-dbaddr.html
X%%DOCSDIR%%/msearch-cmdref-defaultlang.html
X%%DOCSDIR%%/msearch-cmdref-detectclones.html
X%%DOCSDIR%%/msearch-cmdref-disallow.html
X%%DOCSDIR%%/msearch-cmdref-docmemcachesize.html
X%%DOCSDIR%%/msearch-cmdref-doctimeout.html
X%%DOCSDIR%%/msearch-cmdref-dostore.html
X%%DOCSDIR%%/msearch-cmdref-excerptpadding.html
X%%DOCSDIR%%/msearch-cmdref-excerptsize.html
X%%DOCSDIR%%/msearch-cmdref-flushservertable.html
X%%DOCSDIR%%/msearch-cmdref-followsymlinks.html
X%%DOCSDIR%%/msearch-cmdref-forceiischarset1251.html
X%%DOCSDIR%%/msearch-cmdref-groupbysite.html
X%%DOCSDIR%%/msearch-cmdref-guesserusemeta.html
X%%DOCSDIR%%/msearch-cmdref-hlbeg.html
X%%DOCSDIR%%/msearch-cmdref-hlend.html
X%%DOCSDIR%%/msearch-cmdref-holdbadhrefs.html
X%%DOCSDIR%%/msearch-cmdref-hrefonly.html
X%%DOCSDIR%%/msearch-cmdref-htdbaddr.html
X%%DOCSDIR%%/msearch-cmdref-htdbdoc.html
X%%DOCSDIR%%/msearch-cmdref-htdblimit.html
X%%DOCSDIR%%/msearch-cmdref-htdblist.html
X%%DOCSDIR%%/msearch-cmdref-httpheader.html
X%%DOCSDIR%%/msearch-cmdref-importenv.html
X%%DOCSDIR%%/msearch-cmdref-include.html
X%%DOCSDIR%%/msearch-cmdref-index.html
X%%DOCSDIR%%/msearch-cmdref-indexif.html
X%%DOCSDIR%%/msearch-cmdref-ispellcorrectfactor.html
X%%DOCSDIR%%/msearch-cmdref-ispellincorrectfactor.html
X%%DOCSDIR%%/msearch-cmdref-ispelluseprefixes.html
X%%DOCSDIR%%/msearch-cmdref-langmapfile.html
X%%DOCSDIR%%/msearch-cmdref-langmapupdate.html
X%%DOCSDIR%%/msearch-cmdref-limit.html
X%%DOCSDIR%%/msearch-cmdref-listen.html
X%%DOCSDIR%%/msearch-cmdref-loadchineselist.html
X%%DOCSDIR%%/msearch-cmdref-loadthailist.html
X%%DOCSDIR%%/msearch-cmdref-localcharset.html
X%%DOCSDIR%%/msearch-cmdref-logsonly.html
X%%DOCSDIR%%/msearch-cmdref-maxdocpersite.html
X%%DOCSDIR%%/msearch-cmdref-maxdocsize.html
X%%DOCSDIR%%/msearch-cmdref-maxhops.html
X%%DOCSDIR%%/msearch-cmdref-maxneterrors.html
X%%DOCSDIR%%/msearch-cmdref-maxwordlength.html
X%%DOCSDIR%%/msearch-cmdref-mime.html
X%%DOCSDIR%%/msearch-cmdref-minwordlength.html
X%%DOCSDIR%%/msearch-cmdref-mirrorheadersroot.html
X%%DOCSDIR%%/msearch-cmdref-mirrorperiod.html
X%%DOCSDIR%%/msearch-cmdref-mirrorroot.html
X%%DOCSDIR%%/msearch-cmdref-neterrordelaytime.html
X%%DOCSDIR%%/msearch-cmdref-newsextensions.html
X%%DOCSDIR%%/msearch-cmdref-noindexif.html
X%%DOCSDIR%%/msearch-cmdref-numberfactor.html
X%%DOCSDIR%%/msearch-cmdref-numsections.html
X%%DOCSDIR%%/msearch-cmdref-optimizeinterval.html
X%%DOCSDIR%%/msearch-cmdref-optimizeratio.html
X%%DOCSDIR%%/msearch-cmdref-parsertimeout.html
X%%DOCSDIR%%/msearch-cmdref-period.html
X%%DOCSDIR%%/msearch-cmdref-poprankfeedback.html
X%%DOCSDIR%%/msearch-cmdref-poprankshowcntratio.html
X%%DOCSDIR%%/msearch-cmdref-poprankshowcntweight.html
X%%DOCSDIR%%/msearch-cmdref-poprankskipsamesite.html
X%%DOCSDIR%%/msearch-cmdref-poprankuseshowcnt.html
X%%DOCSDIR%%/msearch-cmdref-poprankusetracking.html
X%%DOCSDIR%%/msearch-cmdref-proxy.html
X%%DOCSDIR%%/msearch-cmdref-proxyauthbasic.html
X%%DOCSDIR%%/msearch-cmdref-r.html
X%%DOCSDIR%%/msearch-cmdref-readtimeout.html
X%%DOCSDIR%%/msearch-cmdref-realm.html
X%%DOCSDIR%%/msearch-cmdref-remotecharset.html
X%%DOCSDIR%%/msearch-cmdref-resultslimit.html
X%%DOCSDIR%%/msearch-cmdref-reversealias.html
X%%DOCSDIR%%/msearch-cmdref-robots.html
X%%DOCSDIR%%/msearch-cmdref-section.html
X%%DOCSDIR%%/msearch-cmdref-server.html
X%%DOCSDIR%%/msearch-cmdref-servertable.html
X%%DOCSDIR%%/msearch-cmdref-serverweight.html
X%%DOCSDIR%%/msearch-cmdref-spell.html
X%%DOCSDIR%%/msearch-cmdref-stopwordfile.html
X%%DOCSDIR%%/msearch-cmdref-storedfiles.html
X%%DOCSDIR%%/msearch-cmdref-subnet.html
X%%DOCSDIR%%/msearch-cmdref-suggest.html
X%%DOCSDIR%%/msearch-cmdref-synonym.html
X%%DOCSDIR%%/msearch-cmdref-syslogfacility.html
X%%DOCSDIR%%/msearch-cmdref-tag.html
X%%DOCSDIR%%/msearch-cmdref-url.html
X%%DOCSDIR%%/msearch-cmdref-urldaddr.html
X%%DOCSDIR%%/msearch-cmdref-urldatafiles.html
X%%DOCSDIR%%/msearch-cmdref-urlselectcachesize.html
X%%DOCSDIR%%/msearch-cmdref-usecrc32urlid.html
X%%DOCSDIR%%/msearch-cmdref-useremotecontenttype.html
X%%DOCSDIR%%/msearch-cmdref-vardir.html
X%%DOCSDIR%%/msearch-cmdref-varylang.html
X%%DOCSDIR%%/msearch-cmdref-wf.html
X%%DOCSDIR%%/msearch-cmdref-wordcachesize.html
X%%DOCSDIR%%/msearch-cmdref-wrdfiles.html
X%%DOCSDIR%%/msearch-cmdref.html
X%%DOCSDIR%%/msearch-content-enc.html
X%%DOCSDIR%%/msearch-db2.html
X%%DOCSDIR%%/msearch-dbschema.html
X%%DOCSDIR%%/msearch-disclaimer.html
X%%DOCSDIR%%/msearch-doingsearch.html
X%%DOCSDIR%%/msearch-extended-indexing.html
X%%DOCSDIR%%/msearch-faq.html
X%%DOCSDIR%%/msearch-fuzzy.html
X%%DOCSDIR%%/msearch-get.html
X%%DOCSDIR%%/msearch-howstore.html
X%%DOCSDIR%%/msearch-html.html
X%%DOCSDIR%%/msearch-htmlparser-comments.html
X%%DOCSDIR%%/msearch-htmlparser-links.html
X%%DOCSDIR%%/msearch-htmlparser-meta.html
X%%DOCSDIR%%/msearch-htmlparser-spec.html
X%%DOCSDIR%%/msearch-htmlparser.html
X%%DOCSDIR%%/msearch-http-codes.html
X%%DOCSDIR%%/msearch-index.html
X%%DOCSDIR%%/msearch-indexer-configuration.html
X%%DOCSDIR%%/msearch-indexing.html
X%%DOCSDIR%%/msearch-install.html
X%%DOCSDIR%%/msearch-installing.html
X%%DOCSDIR%%/msearch-installproblem.html
X%%DOCSDIR%%/msearch-international.html
X%%DOCSDIR%%/msearch-intro.html
X%%DOCSDIR%%/msearch-itips.html
X%%DOCSDIR%%/msearch-lib.html
X%%DOCSDIR%%/msearch-misc.html
X%%DOCSDIR%%/msearch-multilang.html
X%%DOCSDIR%%/msearch-opsys.html
X%%DOCSDIR%%/msearch-oracle.html
X%%DOCSDIR%%/msearch-perf.html
X%%DOCSDIR%%/msearch-reference.html
X%%DOCSDIR%%/msearch-register.html
X%%DOCSDIR%%/msearch-rel.html
X%%DOCSDIR%%/msearch-searchd.html
X%%DOCSDIR%%/msearch-srcache.html
X%%DOCSDIR%%/msearch-stored.html
X%%DOCSDIR%%/msearch-subsections.html
X%%DOCSDIR%%/msearch-syslog.html
X%%DOCSDIR%%/msearch-tags.html
X%%DOCSDIR%%/msearch-templates.html
X%%DOCSDIR%%/msearch-toolsreq.html
X%%DOCSDIR%%/msearch-track.html
X%%DOCSDIR%%/msearch-vary.html
X%%EXAMPLESDIR%%/README
X%%EXAMPLESDIR%%/ftpsearch.conf
X%%EXAMPLESDIR%%/htdb.conf
X%%EXAMPLESDIR%%/minimal.conf
X%%EXAMPLESDIR%%/news.conf
X%%DATADIR%%/cache/create.multi.sql
X%%DATADIR%%/cache/create.single.sql
X%%DATADIR%%/cache/drop.multi.sql
X%%DATADIR%%/cache/drop.single.sql
X%%DATADIR%%/db2/create.multi.sql
X%%DATADIR%%/db2/create.single.sql
X%%DATADIR%%/db2/drop.multi.sql
X%%DATADIR%%/db2/drop.single.sql
X%%DATADIR%%/ibase/create.multi.sql
X%%DATADIR%%/ibase/create.single.sql
X%%DATADIR%%/ibase/drop.multi.sql
X%%DATADIR%%/ibase/drop.single.sql
X%%DATADIR%%/mimer/create.multi.sql
X%%DATADIR%%/mimer/create.single.sql
X%%DATADIR%%/mimer/drop.multi.sql
X%%DATADIR%%/mimer/drop.single.sql
X%%DATADIR%%/mssql/create.multi.sql
X%%DATADIR%%/mssql/create.single.sql
X%%DATADIR%%/mssql/drop.multi.sql
X%%DATADIR%%/mssql/drop.single.sql
X%%DATADIR%%/mysql/create.fly.sql
X%%DATADIR%%/mysql/create.multi.sql
X%%DATADIR%%/mysql/create.single.sql
X%%DATADIR%%/mysql/drop.fly.sql
X%%DATADIR%%/mysql/drop.multi.sql
X%%DATADIR%%/mysql/drop.single.sql
X%%DATADIR%%/oracle/create.multi.sql
X%%DATADIR%%/oracle/create.single.sql
X%%DATADIR%%/oracle/drop.multi.sql
X%%DATADIR%%/oracle/drop.single.sql
X%%DATADIR%%/pgsql/create.multi.sql
X%%DATADIR%%/pgsql/create.single.sql
X%%DATADIR%%/pgsql/drop.multi.sql
X%%DATADIR%%/pgsql/drop.single.sql
X%%DATADIR%%/sqlite/create.multi.sql
X%%DATADIR%%/sqlite/create.single.sql
X%%DATADIR%%/sqlite/drop.multi.sql
X%%DATADIR%%/sqlite/drop.single.sql
X%%DATADIR%%/virtuoso/create.multi.sql
X%%DATADIR%%/virtuoso/create.single.sql
X%%DATADIR%%/virtuoso/drop.multi.sql
X%%DATADIR%%/virtuoso/drop.single.sql
X@dirrm %%EXAMPLESDIR%%
X@dirrm %%DATADIR%%/cache
X@dirrm %%DATADIR%%/mimer
X@dirrm %%DATADIR%%/sqlite
X@dirrm %%DATADIR%%/virtuoso
X@dirrm %%DATADIR%%/pgsql
X@dirrm %%DATADIR%%/oracle
X@dirrm %%DATADIR%%/mysql
X@dirrm %%DATADIR%%/ibase
X@dirrm %%DATADIR%%/db2
X@dirrm %%DATADIR%%/mssql
X@dirrm %%DATADIR%%
X@dirrm etc/mnogosearch/synonym
X@dirrm etc/mnogosearch/stopwords
X@dirrm etc/mnogosearch/langmap
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-mnogosearch/pkg-plist
echo x - mnogosearch/distinfo
sed 's/^X//' >mnogosearch/distinfo << 'END-of-mnogosearch/distinfo'
XMD5 (mnogosearch-3.2.32.tar.gz) = c244702ad4bc95bacf7b06ac1327b159
XSIZE (mnogosearch-3.2.32.tar.gz) = 3248909
END-of-mnogosearch/distinfo
echo x - mnogosearch/pkg-deinstall
sed 's/^X//' >mnogosearch/pkg-deinstall << 'END-of-mnogosearch/pkg-deinstall'
X#!/bin/sh
X
Xif [ x$2 != xDEINSTALL ]; then
X    exit
Xfi
X
Xrm -rf /var/mnogosearch
X
Xexit 0
END-of-mnogosearch/pkg-deinstall
echo x - mnogosearch/pkg-descr
sed 's/^X//' >mnogosearch/pkg-descr << 'END-of-mnogosearch/pkg-descr'
XmnoGoSearch is a full featured SQL-based search engine for intranet or small
Xdomain Internet web servers. You can also use it to build specialized search
Xengines such as cooking recipies or searching newspaper articles.
X
XProvides pre-built web search frontend in C (via CGI). PHP frontent
Xis available on their web site.
X
XWWW: http://www.mnogosearch.org/
END-of-mnogosearch/pkg-descr
echo x - mnogosearch/pkg-install
sed 's/^X//' >mnogosearch/pkg-install << 'END-of-mnogosearch/pkg-install'
X#!/bin/sh
X
Xcase $2 in
X    PRE-INSTALL)
X	;;
X    POST-INSTALL)
X	mkdir -m 755 /var/mnogosearch
X	mkdir -m 700 /var/mnogosearch/cache
X	mkdir -m 755 /var/mnogosearch/raw
X	mkdir -m 755 /var/mnogosearch/splitter
X	mkdir -m 755 /var/mnogosearch/tree
X	chown -R www:www /var/mnogosearch
X	;;
X    *)
X	echo "Unexpected Argument $2!!!"
X	exit 1
X	;;
Xesac
Xexit 0
X
END-of-mnogosearch/pkg-install
echo x - mnogosearch/pkg-message
sed 's/^X//' >mnogosearch/pkg-message << 'END-of-mnogosearch/pkg-message'
XmnoGoSearch Search Engine is successfully installed.
X
XNow, to use mnoGoSearch you need to create the appropriate *sql database
Xmanually. Make or choose one, then configure database connection in config file
X${PREFIX}/etc/mnogosearch/indexer.conf and run indexer -Ecreate
Xfor creating initial set of tables.
XSee INSTALL file located in ${PREFIX}/share/doc/mnogosearch.
X
XFrom http://mnogosearch.org/ you can download nice PHP search frontend.
END-of-mnogosearch/pkg-message
exit
Comment 4 Sam Lawrance freebsd_committer 2005-05-17 14:36:16 UTC
Responsible Changed
From-To: freebsd-ports->lawrance

Grab
Comment 5 Sam Lawrance freebsd_committer 2005-06-09 08:53:07 UTC
State Changed
From-To: open->closed

Committed with changes, thanks.